<?php
//
// Configurateur Squelette Epona - 2004 Nov 10 - Marc Lebas.
//

function refus($msg) {
  echo "<b><font color=red>$msg</font></b><br>";
  echo "Action non commence; rectifier les conditions initiales avant de reprendre<br>";
}

function abandon($msg) {
  echo "<b><font color=red>$msg</font></b><br>";
  echo "Action abandonne en cours d'xcution<br>";
  echo "Rectifier le problme et rtablir des conditions initiales avant de reprendre<br>";
}

function avertir($msg) { echo "<font color=orange>$msg</font><br>"; }

function copie($src, $dst) {
  if (!copy('../'.$src, '../'.$dst)) {abandon("chec copie $src vers $dst"); return FALSE;}
  echo basename($src)." ";
  return TRUE;
}

function les_fichiers() {
  global $fichiers;
  $fichiers = array('mes_fonctions.php3', 'epona.css', 'menukang.js', 'typoml.css', 'coolmenus4.js',
                    'album_sel.php3', 'album_1.html', 'album_2.html');
  $images = array('rub.png', 'logo2.jpg', 'next.gif', 'prev.gif', 'fleche_menu.gif', 'minbat.jpg',
                  'jcdroit.jpg', 'minHB.jpg');
  $couple = array('top_forums', 'par_visite', 'par_date', 'par_popularite', 'agen_min', 'agen_an',
                  'agenda', 'auteur', 'auteurs', 'logo', 'bandeau', 'article', 'breve', 'forum',
		  'plan', 'recherche', 'rubrique', 'sommaire', 'mot');
  foreach ($couple as $fichier) {$fichiers[]=$fichier.'.html'; $fichiers[]=$fichier.'.php3';}
  foreach ($images as $image) $fichiers[]='IMG/'.$image;
}

//
// Contrles avant mise en place fichiers squelette
//
function racine() {
  if (is_writable("..")) return TRUE;
  refus("Pas d'accs en criture dans le rpertoire racine");
  echo "Changer les droits du rpertoire<br>";
  echo "Si l'hbergeur ne permet pas cette possibilit, installer en local<br>";
  echo "puis tlcharger le squelette sur site<br>";
  return FALSE;
}

function epona_sq() {
  if (!file_exists("../epona-sq")) {
    refus("Rpertoire epona-sq non trouv  la racine du site");
    return FALSE;
  }
  if (!racine()) return FALSE;
  return TRUE;
}

function pre_install_fichiers() {
  global $fichiers;
  if (!epona_sq()) return FALSE;
  if (!file_exists("../IMG")) { refus("../IMG non trouv."); return FALSE; }
  // Tous les fichiers Epona sont-ils l ?
  les_fichiers();
  foreach ($fichiers as $fichier) {
     if (!file_exists('../epona-sq/'.$fichier)) {
       refus ("Fichier epona-sq/".$fichier." non trouv");
       return FALSE;
     }
  }
  return TRUE;
}

//
// Sauvegarde ancien squelette et installation
//
function install_fichiers() {
  global $fichiers;
  echo "<h3>Sauvegarde des fichiers squelette (en .bak)</h3>";
  foreach ($fichiers as $fichier) {
     if (!file_exists('../'.$fichier)) continue;
     if (!copie($fichier, 'epona-sq/'.$fichier.'.bak')) return FALSE;
  }
  echo "<h3>Installation du squelette</h3>";
  foreach ($fichiers as $fichier) {
     if (!copie('epona-sq/'.$fichier, $fichier)) return FALSE;
  }
  echo "<br>";
  return TRUE;
}

//
// Contrles avant restauration fichiers squelette
//
function pre_restaure_fichiers() {
  if (!epona_sq()) return FALSE;
  if (!is_writable("../epona-sq")) {
    refus("Pas d'accs en criture dans epona-sq");
    echo "Changer les droits du rpertoire<br>";
    return FALSE;
  } 
  return TRUE;
}

function restaure_fichiers() {
  global $fichiers;
  les_fichiers();
  echo "<h3>Effacement des fichiers Epona  la racine</h3>";
  foreach ($fichiers as $fichier) {
     if (!file_exists('../'.$fichier)) {avertir($fichier." non trouv"); continue;}
     if (!unlink('../'.$fichier)) {abandon("chec effacement $fichier..."); return FALSE;}
     echo basename($fichier)." ";
  }
  echo "<h3>Restauration des fichiers .bak depuis epona-sq</h3>";
  foreach ($fichiers as $fichier) {
     if (!file_exists('../epona-sq/'.$fichier.'.bak')) continue;
     if (!rename('../epona-sq/'.$fichier.'.bak', '../'.$fichier)) {
       abandon("chec restauration $fichier...");
       return FALSE; 
     }
     echo basename($fichier)." ";
  }
  echo "<br>";
  return TRUE;
}

//
// Contrles avant calcul menu
//
function pre_calcul_menu() {
  if (!file_exists("../menukang.js")) {
    refus("Fichier ../menukang.js non trouv");
    return FALSE;
  }
  if (!is_readable("../menukang.js")) {
    refus("Fichier ../menukang.js non lisible");
    return FALSE;
  }
  if (!file_exists("../epona.css")) {
    refus("Fichier ../epona.css non trouv");
    return FALSE;
  }
  if (!is_readable("../epona.css")) {
    refus("Fichier ../epona.css non lisible");
    return FALSE;
  }
  if (!racine()) return FALSE;
  return TRUE;
}

function cree_menu_rub($prub) {
  // Fonction rcursive parcourant la hirarchie de rubriques publies
  // pour gnrer la hirarchie du menu droulant
  global $rubmap, $num, $heigh, $fw;
  $result = spip_query("SELECT id_rubrique, titre, statut FROM spip_rubriques WHERE id_parent=$prub");
  while ($row = spip_fetch_array($result)) {
    if ($row['statut'] != 'publie') continue;
    $id_rub = $row['id_rubrique'];
    $titre = texte_script($row['titre']);
    if ($prub == 0) {
        fputs ($fw, "oCMenu.makeMenu('m".$num."', '', '".$titre."', 'rubrique.php3?id_rubrique=".$id_rub."')\n");
        $heigh = $heigh +20;
    } else {
        $parent=$rubmap[$prub];
        fputs ($fw, "oCMenu.makeMenu('m".$num."', 'm".$parent."', '".$titre."', 'rubrique.php3?id_rubrique=".$id_rub."')\n");
    }
    $rubmap[$id_rub]= strval($num++);
    cree_menu_rub(intval($id_rub));
  }
  return TRUE;
}

//
// Calcul menu
//
function calcul_menu() {
  global $rubmap, $num, $heigh, $fw;
  // 1 - Modification menukang.js pour nouveau menu
  // on utilise un fichier temporaire destine a remplacer menukang.js
  if (!$fw=fopen ("../tmpfile.epo","w")) {
    refus("Pas d'accs en criture pour ../tmpfile.epo");
    return FALSE;
  }
  if (!$fr=fopen("../menukang.js","r")) {
    refus("Pas d'accs en lecture menukang.js");
    fclose($fw);
    return FALSE;
  }
  // recopie dbut fichier (avant le makeMenu)
  while (!feof($fr)) {
    $line = fgets($fr, 4096);
    if (ereg("makeMenu", $line)) { $makem=1; break; }
    fputs($fw, $line);
  }
  fclose($fr);
  if (!isset($makem)) {
    refus("menukang.js inchang: le marqueur makeMenu n'a pas t trouv");
    fclose($fw);
    return FALSE;
  }
  // cration item accueil
  $num = 0;
  fputs ($fw, "oCMenu.makeMenu('m".strval($num++)."', '', 'Accueil', 'sommaire.php3')\n");
  // calcul du nouveau menu suivant structure site
  $heigh =100;
  // tableau qui fait correspondre  chaque id_rubrique son numro de menu
  $rubmap = array();
  $rubmap[0]=1;
  // Calcul de la partie rubriques du menu
  cree_menu_rub(0);
  // Cration des items de fin de menu
  fputs ($fw, "oCMenu.makeMenu('m".strval($num++)."', '', 'Le site', 'ecrire')\n");
  $parent = $num-1;
  fputs ($fw, "oCMenu.makeMenu('m".strval($num++)."', 'm".$parent."', 'Tous les articles', 'par_visite.php3')\n");
  fputs ($fw, "oCMenu.makeMenu('m".strval($num++)."', 'm".$parent."', 'Tous les auteurs', 'auteurs.php3')\n");
  fputs ($fw, "oCMenu.makeMenu('m".strval($num++)."', 'm".$parent."', 'Administration', 'ecrire')\n");
  fputs ($fw, "oCMenu.makeMenu('m".strval($num++)."', '', 'Plan du site', 'plan.php3')\n");
  fputs ($fw, "oCMenu.construct()");
  fclose($fw);
  // renommage fichier
  if (!unlink("../menukang.js")) {
    abandon("L'accs en criture menukang.js a chou");
    fclose($fw);
    return FALSE;
  } ;
  rename ("../tmpfile.epo","../menukang.js");
  echo "menukang.js recalcul<br>";

  // 2 - Modification du fichier epona.css pour adapter la ligne qui specifie la hauteur du Menu
  // on utilise un fichier temporaire destine a remplacer epona.css

  if (!$fr=fopen("../epona.css","r")) {abandon("L'accs en lecture epona.css a chou"); return FALSE;} ;
  if (!$fw=fopen ("../tmpfile.epo","w")) {
    abandon("Erreur d'accs en criture ../tmpfile.epo");
    fclose($fr);
    return FALSE;
  } ;
  $marqueur = "Marqueur pour epona.conf.php3";
  while (!feof($fr)) {
    $line = fgets($fr, 4096);
    if (ereg($marqueur, $line)) {
      // Marqueur trouve - modification de ligne avec conservation du marqueur
      $found=1;
      $line = "	padding-bottom: ".$heigh."px; /* Marqueur pour epona.conf.php3 - ne pas effacer */\n";
    }
    fputs($fw, $line);
  }
  fclose($fr);
  fclose($fw);
  if (!isset($found)) {
    abandon("epona.css inchang: le marqueur '".$marqueur."' n'a pas t trouv");
    echo " diter epona.css pour adapter .menukang (padding-bottom)  la hauteur du menu";
    return FALSE;
  }
  if (!unlink("../epona.css")) {abandon("L'accs en criture epona.css a chou"); return FALSE;} ;
  rename ("../tmpfile.epo","../epona.css");
  echo "epona.css recalcul<br>";
  return TRUE;
}

//
// Fonctions pour mot-cls
//
function id_groupe($titre) {
  $result = spip_query("SELECT id_groupe FROM spip_groupes_mots WHERE titre='$titre'");
  if ($row = spip_fetch_array($result)) return $row['id_groupe'];
  return 0;
}

function active_groupe($groupe, $mots) {
  $id_groupe=id_groupe($groupe);
  if ($id_groupe != 0) return FALSE;
  //Cration groupe + mots cl
  spip_query("INSERT INTO spip_groupes_mots SET titre='$groupe', unseul='non', obligatoire='non',
                 articles='oui', breves='non', rubriques='non', syndic='non',
                  0minirezo='oui', 1comite='oui', 6forum='non'");
  $id_groupe = spip_insert_id();
  foreach ($mots as $mot) {
    spip_query("INSERT INTO spip_mots (type, titre, id_groupe) VALUES ('$groupe', '$mot', '$id_groupe')");
    echo " $mot";
  }
  echo " (groupe mots $groupe cr)<br>";
  return TRUE;
}

function pre_desactive_groupe($titre) {
  // seulement pour vrifier que le groupe est libre
  $rcode = TRUE;
  $id_groupe=id_groupe($titre);
  if ($id_groupe == 0) return TRUE;
  $result = spip_query("SELECT id_mot, titre FROM spip_mots WHERE id_groupe=$id_groupe");
  while ($row = spip_fetch_array($result)) {
    if (!pre_desactive_mot($row['id_mot'], $row['titre'])) $rcode = FALSE;
  }
  return $rcode;
}

function desactive_groupe($titre) {
  // aucun contrle d'attachement; dj fait par pre_desactive_groupe
  $id_groupe=id_groupe($titre);
  if ($id_groupe == 0) {
    avertir("Groupe de mot-cl $titre non trouv");
    return FALSE;
  }
  $result = spip_query("SELECT id_mot, titre FROM spip_mots WHERE id_groupe=$id_groupe");
  while ($row = spip_fetch_array($result)) {
    spip_query("DELETE FROM spip_mots WHERE id_mot='".$row['id_mot']."'");
    spip_query("DELETE FROM spip_mots_articles WHERE id_mot='".$row['id_mot']."'");
    spip_query("DELETE FROM spip_index_mots WHERE id_mot='".$row['id_mot']."'");
    echo $row['titre'].' ';
  }
  spip_query("DELETE FROM spip_groupes_mots WHERE titre='$titre'");
  echo " (groupe mots $titre effac)<br>";
  return TRUE;
}

function pre_desactive_mot($id_mot, $titre) {
  // pour vrifier qu'un mot est libre
  $rcode = TRUE;
  foreach (array('breve', 'article', 'rubrique', 'forum', 'syndic') as $elem) {
    $result = spip_query("SELECT id_".$elem." FROM spip_mots_".$elem."s WHERE id_mot=$id_mot");
    if ($row = spip_fetch_array($result)) {
      avertir("Le mot cl $titre est attach ($elem)");
      $rcode = FALSE;
    }
  }
  return $rcode;
}

//
// Installation agenda
//
function active_agenda() {
  // Cration rubrique Agenda
  spip_query("INSERT INTO spip_rubriques (titre, id_parent) VALUES ('Agenda', '0')");
  $id_rub_agenda = spip_insert_id();
  echo "Rubrique Agenda cre sous la racine<br>";
  // Autorisations dates antrieures et gestion avance des mots cl
  spip_query("REPLACE spip_meta (nom, valeur) VALUES ('config_precise_groupes', 'oui')");
  spip_query("REPLACE spip_meta (nom, valeur) VALUES ('articles_redac', 'oui')");
  echo "Autorisation dates antrieures et gestion avance des mots cl<br>";
  // Cration groupe Agenda + mot cl
  spip_query("INSERT INTO spip_groupes_mots SET titre='Agenda', unseul='non', obligatoire='non',
                 articles='non', breves='non', rubriques='oui', syndic='non',
                  0minirezo='oui', 1comite='non', 6forum='non'");
  $id_groupe_agenda = spip_insert_id();
  spip_query("INSERT INTO spip_mots (type, titre, id_groupe) VALUES ('Agenda', 'Agenda', '$id_groupe_agenda')");
  $id_mot_agenda = spip_insert_id();
  // Liaison entre rubrique et mot cl
  spip_query("INSERT INTO spip_mots_rubriques (id_mot, id_rubrique) VALUES ('$id_mot_agenda', '$id_rub_agenda')");
  echo "Lien entre rubrique Agenda et mot cl 'Agenda'<br>";
  calculer_rubriques();
  return TRUE;
}

function id_agenda() {
  $result = spip_query("SELECT id_rubrique FROM spip_rubriques WHERE titre='Agenda'");
  if ($row = spip_fetch_array($result)) return $row['id_rubrique'];
  return 0;
}

function pre_desactive_agenda() {
  $id_rubrique=id_agenda();
  if ($id_rubrique == 0) {return TRUE;}
  if (!tester_rubrique_vide($id_rubrique)) {
     refus("La rubrique Agenda n'est pas vide ");
     return FALSE;
  }
  return TRUE;
}

function desactive_agenda() {
  // aucun contrle; dj fait par pre_desactive_agenda
  echo "rubrique Agenda<br>";
  $id_rubrique=id_agenda();
  spip_query("DELETE FROM spip_mots_rubriques WHERE id_rubrique=$id_rubrique");
  spip_query("DELETE FROM spip_index_rubriques WHERE id_rubrique=$id_rubrique");
  spip_query("DELETE FROM spip_rubriques WHERE id_rubrique=$id_rubrique");
  calculer_rubriques();
  desactive_groupe('Agenda');
  return TRUE;
}

function desinstall() {
  echo "<h1>Restauration complte</h1>";
  if (!pre_restaure_fichiers()) return;
  if (!pre_desactive_agenda()) return;
  if (!pre_desactive_groupe('_Agenda')) return;
  if (!pre_desactive_groupe('Epona')) return;
  if (!pre_desactive_groupe('Album')) return;
  if (!restaure_fichiers()) return;
  echo "<h3>Effacement en base</h3>";
  desactive_agenda() ;
  desactive_groupe('_Agenda');
  desactive_groupe('Album');
  desactive_groupe('Epona');
  echo "<h1>Excution complte</h1>";
}

function squelette_on() {
  echo "<h1>Installation du squelette Epona</h1>";
  if (!pre_install_fichiers()) return;
  if (!install_fichiers()) return;
  echo "<h3>Calcul du menu</h3>";
  if (!calcul_menu()) return;
  echo "<h1>Excution complte</h1>";
}

function squelette_off() {
  echo "<h1>Dsinstallation du squelette</h1>";
  if (!pre_restaure_fichiers()) return;
  if (!restaure_fichiers()) return;
  echo "<h1>Excution complte</h1>";
}

function menukang() {
  echo "<h1>Recalcul menu</h1>";
  if (!pre_calcul_menu()) return;
  if (!calcul_menu()) return;
  echo "<h1>Excution complte</h1>";
}

function upgrade22() {
  global $groupes_mots;
  echo "<h1>Mise  jour v2.2</h1>";
  if (!pre_install_fichiers()) return;
  // Correction bug 2.1
  foreach ($groupes_mots as $titre) {
    $id_groupe=id_groupe($titre);
    if ($id_groupe == 0) continue;
    $result = spip_query("SELECT titre FROM spip_mots WHERE id_groupe=$id_groupe");
    while ($row = spip_fetch_array($result)) {
      spip_query("UPDATE spip_mots SET type='$titre' WHERE titre='".$row['titre']."'");
    }
  }
  if (!install_fichiers()) return;
  echo "<h1>Excution complte</h1>";
}

function album_on() {
  echo "<h1>Activation de l'album</h1>";
  active_groupe('Album', array('album_simple', 'vignettes_image'));
  echo "<h1>Excution complte</h1>";
}

function album_off() {
  echo "<h1>Dsactivation de l'album</h1>";
  if (!pre_desactive_groupe('Album')) {
    refus("Mot encore attach");
    return FALSE;
  }
  desactive_groupe('Album');
  echo "<h1>Excution complte</h1>";
}

function cacher_on() {
  echo "<h1>Activation de l'exclusion</h1>";
  active_groupe('Epona', array('cacher'));
  echo "<h1>Excution complte</h1>";
}

function cacher_off() {
  echo "<h1>Dsactivation de l'exclusion</h1>";
  if (!pre_desactive_groupe('Epona')) {
    refus("Mot encore attach");
    return FALSE;
  }
  desactive_groupe('Epona');
  echo "<h1>Excution complte</h1>";
}

function copie_agenda($chemin) {
  if (!epona_sq()) return FALSE;
  // Tous les fichiers Agenda sont-ils l ?
  $fichiers = array('agenda.html', 'agen_an.html', 'agen_min.html');
  foreach ($fichiers as $fichier) {
     if (!file_exists('../'.$chemin.'/'.$fichier)) {
       refus ("Fichier ".$chemin."/".$fichier." non trouv");
       return FALSE;
     }
  }
  echo "<h3>Installation des fichiers</h3>";
  foreach ($fichiers as $fichier) {
     if (!copie($chemin.'/'.$fichier, $fichier)) return FALSE;
  }
  echo "<br>";
  return TRUE;
}

function agenda_simple() {
  echo "<h1>Agenda simple</h1>";
  if (!pre_calcul_menu()) return;
  if (!copie_agenda('epona-sq/agenda_simple')) return;
  if (!active_agenda()) return;
  if (!calcul_menu()) return;
  echo "<h1>Excution complte</h1>";
}

function agenda_complet() {
  echo "<h1>Agenda complet</h1>";
  if (!pre_calcul_menu()) return;
  if (!copie_agenda('epona-sq/agenda_complet')) return;
  if (!active_agenda()) return;
  if (!calcul_menu()) return;
  if (id_groupe('_Agenda') == 0) {
    echo "<h3>Cration groupe de mot-cl _Agenda</h3>";
    //Cration groupe _Agenda + mots cl
    if (active_groupe('_Agenda', array('Poney', 'Cheval'))) {
      avertir('<ul> <li>Si ncessaire, se rendre dans la partie prive de SPIP 
            <a href="mots_tous.php3">ici</a> pour
            renommer ou complter les mots cls Poney et Cheval (groupe \'_Agenda\')</li></ul>');
    }
  }
  echo "<h1>Excution complte</h1>";
}

function agenda_off_ok() {
  echo "<h1>Dsactivation agenda</h1>";
  desactive_agenda() ;
  if (!calcul_menu()) return;
  echo "<h1>Excution complte</h1>";
}

function agenda_off() {
  if (!pre_desactive_agenda()) return;
  if (!pre_calcul_menu()) return;
  if (!pre_desactive_groupe('_Agenda')) {
    avertir("confirmer la suppression de mot-cl:");
    echo "<ul><li><a href=\"epona_conf.php3?action=agenda_off_ok\">supprimer mot-cl</a>";
    echo "<li><a href=\"epona_conf.php3\">annuler</a></ul>";
    return;
  } 
  agenda_off_ok();
}

//
// Main
//
$groupes_mots = array('Agenda', '_Agenda', 'Epona', 'Album');
if (!file_exists("inc.php3")) {
  refus("inc.php3 non trouv. Le fichier epona_conf.php3 a-t-il t plac dans le rpertoire ecrire ?");
  exit;
}

include ("inc.php3");
include ("inc_presentation.php3");

if (($connect_statut != "0minirezo")) {
  install_debut_html(_T('info_acces_refuse'));
  install_fin_html();
  exit;
}

install_debut_html("Configurateur Epona");
switch ($action) {
  case 'squelette_on' : squelette_on(); break;
  case 'squelette_off' : squelette_off(); break;
  case 'agen_simple' : agenda_simple(); break;
  case 'agen_complet' : agenda_complet(); break;
  case 'agenda_off' : agenda_off(); break;
  case 'agen_off_ok' : agenda_off_ok(); break;
  case 'menu' : menukang(); break;
  case 'album_on' : album_on(); break;
  case 'album_off' : album_off(); break;
  case 'cacher_on' : cacher_on(); break;
  case 'cacher_off' : cacher_off(); break;
  case 'desinstall' : desinstall(); break;
  case 'upgrade22' : upgrade22(); break;
}

echo "<hr>";
echo '<a href="../sommaire.php3?recalcul=oui">Page d\'accueil</a><br>';
if (file_exists("../menukang.js")) {
  if (!file_exists("../album_sel.php3")) {
    echo "<a href=\"epona_conf.php3?action=upgrade22\">Mise  jour pour v2.2</a><br>";
  } else {
    echo "<a href=\"epona_conf.php3?action=menu\">Recalculer le menu</a><br>";
    if (id_agenda() != 0) {
      echo "<a href=\"epona_conf.php3?action=agenda_off\">Dsactiver l'agenda</a><br>";
    } else {
      echo "<a href=\"epona_conf.php3?action=agen_simple\">Activer l'agenda simple</a><br>";
      echo "<a href=\"epona_conf.php3?action=agen_complet\">Activer l'agenda complet</a><br>";
    }
    if (id_groupe('Album') == 0) {
      echo "<a href=\"epona_conf.php3?action=album_on\">Activer l'album</a><br>";
    } else {
      echo "<a href=\"epona_conf.php3?action=album_off\">Dsactiver l'album</a><br>";
    }
    if (id_groupe('Epona') == 0) {
      echo "<a href=\"epona_conf.php3?action=cacher_on\">Activer l'exclusion</a><br>";
    } else {
      echo "<a href=\"epona_conf.php3?action=cacher_off\">Dsactiver l'exclusion</a><br>";
    }
    echo "<a href=\"epona_conf.php3?action=desinstall\">Tout dsinstaller</a><br>";
  }
} else {
  echo "<a href=\"epona_conf.php3?action=squelette_on\">Installer le squelette</a><br>";
}
echo "<ul>";
echo "<li>Les choix proposs ci-dessus dpendent de l'tat de la configuration</li>";
echo "<li>Toute action doit se terminer par 'Excution complte'</li>";
echo "<li>Tous les contrles sont faits avant excution</li>";
echo "<li>En cas d'erreur, la procdure est stoppe avec un message explicite</li>";
echo "<li>Les sauvegardes (.bak) de fichiers vont dans le rpertoire epona-sq</li>";
echo "<li><a href=\"../epona-sq/sql.txt\">Description Agenda et mot-cls</a></li>";
echo "<li><a href=\"../epona-sq/MODIFS.txt\">Description des changements</a></li>";
echo "</ul>";

echo "<h3>Etat de la configuration:</h3>";
if (!file_exists("../menukang.js")) {echo "Squelette : absent<br>";} else {
  echo "Squelette : prsent<br>";
  if (!file_exists("../album_sel.php3")) avertir("version antrieure  v2.2");
}
$id_rubrique = id_agenda();
if ($id_rubrique == 0) {echo "Rubrique Agenda : absente<br>";} else {
  echo "Rubrique Agenda : prsente<br>";
  if (!tester_rubrique_vide($id_rubrique)) avertir("Rubrique Agenda non vide");
}
foreach ($groupes_mots as $titre) {
  $id_groupe=id_groupe($titre);
  if ($id_groupe == 0) {echo  "Groupe ".$titre." : absent<br>";} else {
    echo  "Groupe ".$titre." : prsent<br>";
    pre_desactive_groupe($titre);
  }
}

install_fin_html();
?>
